Skip to content

Create new crypto withdrawal

POST
/v1/wallet/crypto/{currency}/withdraw

Withdraw cryptocurrency funds to an address. Withdrawals created with more decimals than the number supported by the currency will be rounded down to the withdrawalDecimalPlaces specified for the network (see documentation on the /v1/public/currencies endpoint for more info). The request body for currencies supporting a memo or payment reference, such as XRP, XMR, XEM or XLM, will accept an optional field called "paymentReference". The max length for the paymentReference is 256 characters.

Withdrawal using an address:

networkType is a request field that can be optionally supplied to specify the network that should be used for the withdrawal. It is very important to make sure that the networkType supplied corresponds to the withdrawal address supplied. In cases where the incorrect networkType is supplied for an address it may result in loss of funds. If networkType is not specified, it will be defaulted based on the configuration for the currency that can be found at /v1/public/currencies.

Beneficiary Information:

beneficiaryName, isCorporate, isSelfHosted, serviceProviderId and serviceProviderName are fields to support the collection of the beneficiary's (recipient's) information, in accordance with South African regulations that govern crypto asset service providers like VALR. These fields are required for accounts subject to South African regulations unless an addressBookId with saved beneficiary information is provided.

Withdrawal using an addressBookId:

When doing a withdrawal by using an addressBookId, networkType does not need to be specified as the networkType of the address book entry will be used. Provided that the address book has beneficiary information saved, beneficiary related fields do not need to be supplied in the withdrawal request.

Borrowing:

Use the allowBorrow option to borrow funds against assets in your account. Collateral is locked while the loan is outstanding. Interest accrues hourly and is capitalised into the loan. You can repay the loan whenever you prefer. Crypto Loans are only available in margin-enabled Subaccounts.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Path Parameters

currency*

The currency code for the currency you are withdrawing (e.g., BTC, ETH, XRP, ADA)

Type
string
Required

Request Body

application/json
JSON
{
"amount": "0.0005",
"address": "2N1rvRDR3fUD6L43QxG5Awy8RHC8nCavAnc",
"networkType": "Bitcoin",
"allowBorrow": false,
"beneficiaryName": "Satoshi Nakamoto",
"isCorporate": false,
"isSelfHosted": false,
"serviceProviderId": "6720c583142afc3bc573c133"
}

Responses

Withdrawal request accepted

application/json

Playground

Authorization
Variables
Key
Value
Body

Samples